// ANOVA Calculator
// Created 9/20/2008; 10:50:55 PM

#include <tigcclib.h>
#include <estack.h>
#include <args.h>
#include <graph.h>
#include <bascmd.h>
#include <wingraph.h>
#include "anova.h"
#include "mlib.h"

// Main Function
void _main(void) {
  char *rSpec=NULL;						// Result specifier-- Either a filename or list of variables to pool
  ANVSet *data;								// ANOVA dataset
  int choice;								// menu choice

  data = ANVSetup();								// Initialize the dataset
  GetArgs(data);									// Get program args
  calcANOVA(data);									// Perform ANOVA
  printANOVA(data);									// Print the ANOVA table
  while (1) {										// Loop through menu
	switch (choice = askOptions(&rSpec,data)) {	// Ask user how to proceed
	  case -1:										// ANOVA w/o var pooling
	  calcANOVA(data);
	  printANOVA(data);
	  break;

	  case 1:										// Display the inputs
	  showInputs(data);
	  break;

	  case 2:										// Output ANOVA results
	  printANOVA(data);
	  break;

	  case 3:										// Save to file
	  case 4:										// Return to workspace
	  fmtANOVA(data);								// Format the ANOVA results and push it onto the stack
	  outputANOVA(rSpec);							// Save data from stack to file (rSpec), or just exit (rSpec=NULL)
	  break;

	  case 5:										// ANOVA w/ var pooling
	  calcAPool(data);
	  printANOVA(data);
	  break;
	}
  }
}

